.page__header-nav {
  padding-top: 45px;
  @media (max-width: 768px) {
    padding-top: 23px;
  }

  @media (max-width: 320px) {
    padding-top: 23px;
    display: flex;
    align-items: flex-end;
    flex-direction: column;
    position: relative;
    
  }
}

.nav__icon {
  display: none;

  @media (max-width: 320px) {
    display: block;
    width: 44px;
    height: 37px;
    background-color: #000000;
    margin-bottom: 23px;
    position: relative;
  }

//   &::before,
//   &:after {
//     position: absolute;
//     left: 50%;
//     top: 10px;
//     content: " ";
//     height: 17px;
//     width: 2px;
//     background-color: rgb(255, 255, 255);
//   }
//   &:before {
//     transform: rotate(45deg);
//   }
//   &:after {
//     transform: rotate(-45deg);
//   }
}

.nav__icon-line {
    @include pseudo;
    left: calc(100% / 2 - 17px / 2);
    top: calc(100% / 2 - 2px / 2);

&::before, &::after {
content: "";
@include pseudo;
display: block;
}
&::before {
    top: -4px;
}
&::after {
    top: 4px;
}
}

.close {
    display: none;
   &::before,
  &:after {
    position: absolute;
    left: 50%;
    top: 10px;
    content: " ";
    height: 17px;
    width: 2px;
    background-color: rgb(255, 255, 255);
  }
  &:before {
    transform: rotate(45deg);
  }
  &:after {
    transform: rotate(-45deg);
  }   
}

.hide {
    display: none;
}

.nav__list {
  @include flexible;
  list-style: none;
  padding-bottom: 51px;

  @media all and (min-width: 481px) and (max-width: 992px) {
    padding-bottom: 43px;
  }

  @media (max-width: 320px) {
    flex-direction: column;
    background-color: $color-menu;
    align-items: flex-start;
    width: 182px;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 60px;
display: none;
  }
}

.nav__list._active {
display: block;
}

.nav__item {
  margin-right: 68px;

  &:last-child {
    margin-right: 0;
  }

  @media (max-width: 768px) {
    margin-right: 34px;
  }
  @media (max-width: 320px) {
    margin: 4px 0;
    width: 183px;
    &:hover {
      background-color: rgba(229, 229, 229, 1);
    }
  }
}
.nav__link {
  text-transform: uppercase;
  @include fontlight;
  font-size: 11px;
  line-height: 22px;
  color: $color-main;

  @media (max-width: 320px) {
    padding: 4px 0 4px 12px;
  }

  &:hover {
    color: $color-hover;
  }
}

.header__banner {
  margin: 0 auto;
}
